🎉 🎉 RAPIDMINER 9.10 IS OUT!!! 🎉🎉

Download the latest version helping analytics teams accelerate time-to-value for streaming and IIOT use cases.

CLICK HERE TO DOWNLOAD

"[SOLVED] Where is the RapideMiner_Extension_Template and Extension_Tutoria"

wujiangwujiang Member Posts: 12 Contributor I
edited June 2019 in Help
Hello,

Thanks for reading my questions in advance, I am recently doing a project which needs to add a algorithm (as a operator) in rapidminer, so I am following the document 'how to extend rapidminer 5' now, I encounter several problems here.

1. I can't find the "RapideMiner_Extension_Template" and RapideMiner_Extension_Tutoria" these two projects
2. It is must be import 3 projects(Template, Tutoria, Unuk) to add a operator?
3. I tried my best to find a link to download  "RapideMiner_Extension_Template", but it is not the original version, and I execute it as "built.xml -> run as -> ant built ... -> install target". but it didn't works the probleme like:
  [javac] ^
   [javac]   symbol:   class Taglet
   [javac]   location: class XMLExampleTaglet
   [javac] 74 errors
   [javac] 24 warnings

BUILD FAILED
/home/john624/workspace/RapidMiner_Unuk/build_extension.xml:154: The following error occurred while executing this line:
/home/john624/workspace/RapidMiner_Unuk/build_extension.xml:219: The following error occurred while executing this line:
/home/john624/workspace/RapidMiner_Unuk/build.xml:162: Compile failed; see the compiler error output for details.

Total time: 8 seconds
4. If these two projects does not exits now, there are other allowable solutions to get them?

Thanks again.

Jiang

Answers

  • Marco_BoeckMarco_Boeck Team Lead Software Engineering Administrator, Moderator, Employee, Member, University Professor Posts: 1,963   RM Engineering
    Hi,

    please make sure you are using the sourcecode of RM 5.3.13 when trying to build your extension. There were some problems which were fixed in RM Studio 6 (but the extension template has not yet been adapted unfortunately), but if you want to stick with 5.3 you may need to fix the build_extension.xml yourself. The complete list of Ant errors should give you an idea of what is wrong.

    Regards,
    Marco
  • Nils_WoehlerNils_Woehler Member Posts: 463  Maven
    Hi,

    you can find the template for a RapidMiner extension here: https://github.com/rapidminer/rapidminer-extension-template
Sign In or Register to comment.